Bug 1572956 - Network doesn't recover after suspend [NEEDINFO]
Summary: Network doesn't recover after suspend
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 27
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-29 08:15 UTC by valera
Modified: 2018-08-29 15:18 UTC (History)
23 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-29 15:18:56 UTC
Type: Bug
jforbes: needinfo?


Attachments (Terms of Use)

Description valera 2018-04-29 08:15:32 UTC
When i click long click on gnome menu poweroff and click to suspend system, my PC go sleep, after wakeup he's on with wayland or xorg, but my network doesnt work anyway for a long time!
Google say me to work it do:
sudo modprobe -r r8169
sudo modprobe r8169
after this newwork reconect to my router & internet work well.
It problem wasnt bfore 1 mouth ago i think.
My ethernet chip is 81111\8168, but in kernel go module with 6169, i thing in this is problem, bse 6168 dont recover work after suspend, sry bad eng

Comment 1 valera 2018-04-30 08:12:11 UTC
fedora 28 dont recover too, modprobe doesnt help now(

Comment 2 valera 2018-05-03 22:05:16 UTC
After search google, i have solution:

Maybe someone with the same problem will be interested:

To automatically reconnecting after suspend, I've added the script that runs each resume and restores connection (based on this post14).

    Go to
    cd /lib/systemd/system-sleep/
    and create the script file
    sudo pluma restore_connection
    with the following content

        #!/bin/sh
        case $1/$2 in
        post/*)
        modprobe -r r8169
        modprobe r8169
        ;;
        esac

    Make the script executable
    sudo chmod a+x restore_connection

    Now after suspend the connection should be restored.

Thanks to everyone and particularly to @ouroumov !

But my /lib/systemd/system-sleep/restore_connection WAS EMPTY!

Comment 3 valera 2018-05-12 13:10:38 UTC
Linux localhost.localdomain 4.14.18-300.fc27.x86_64 #1 SMP Thu Feb 8 01:35:31 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux
from bodhi work fine, repair new kernel 4.15+

Comment 4 Tibor Demeter 2018-05-17 06:24:36 UTC
I have exactly same problem with F28 and kernel-4.16.8-300.
Only difference is my network card, that is an Intel .

00:19.0 Ethernet controller: Intel Corporation Ethernet Connection (3) I218-LM (rev 03)


I did a try with valera's solution but it does not work for me. :(

Comment 5 Justin M. Forbes 2018-07-23 15:27:31 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 27 kernel bugs.

Fedora 27 has now been rebased to 4.17.7-100.fc27.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 28, and are still experiencing this issue, please change the version to Fedora 28.

If you experience different issues, please open a new bug report for those.

Comment 6 Justin M. Forbes 2018-08-29 15:18:56 UTC
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 5 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.


Note You need to log in before you can comment on or make changes to this bug.